# macos-trash

> Move files and folders to the trash

Supports [`Put Back`](http://mac-fusion.com/trash-tip-how-to-put-files-back-to-their-original-location/).

Requires macOS 10.10 or later. macOS 10.13 or earlier needs to download the [Swift runtime support libraries](https://support.apple.com/kb/DL1998).

## Install

###### [Homebrew](https://brew.sh)

```sh
brew install macos-trash
```

###### [Mint](https://github.com/yonaskolb/Mint)

```sh
mint install sindresorhus/macos-trash
```

###### Manually

[Download](https://github.com/sindresorhus/macos-trash/releases/latest) the binary and put it in `/usr/local/bin`.

## Usage

```sh
trash <path> […]
```

## Build

```sh
./build
```

## Related

- [trash](https://github.com/sindresorhus/trash) - Cross-platform Node.js version
- [empty-trash](https://github.com/sindresorhus/empty-trash) - Empty the trash
- [macos-wallpaper](https://github.com/sindresorhus/macos-wallpaper) - Manage the desktop wallpaper
- [do-not-disturb](https://github.com/sindresorhus/do-not-disturb) - Control the macOS `Do Not Disturb` feature
- [More…](https://github.com/search?q=user%3Asindresorhus+language%3Aswift)
